Passkeys
Remove passkey
DELETE
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
credentialId*unknownPasskey credential id
id*unknownWallet id
application/json- body
existingOwner*Response Body
200application/json
Removal prepared, or already complete
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X DELETE 'https://api.pilot.shiga.io/v1/wallets/{id}/passkeys/{credentialId}' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "existingOwner": { "x": "string", "y": "string" }}'Example Response
{ "data": { "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "credentialId": "string", "signerAddress": "string", "status": "removing", "removedChains": [ "string" ], "pendingChains": [ "string" ], "complete": true, "blockedBy": { "chain": "string", "reason": "owner" }, "results": [ { "chain": "string", "ok": true, "skipped": true, "userOpHash": "string", "threshold": 0, "collected": 0, "error": "string" } ] }, "status": 200, "success": true}